## deepin-installer-reborn 5.6.17

=== data/CMakeLists.txt ===
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer.conf
    DESTINATION /etc/live/config.conf.d/
)

install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/live-boot/
    DESTINATION /lib/live/boot
    FILES_MATCHING PATTERN "*"
    PERMISSIONS OWNER_READ OWNER_EXECUTE
                GROUP_READ GROUP_EXECUTE
                WORLD_READ WORLD_EXECUTE
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/lightdm-installer-greeter.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/xgreeters/
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-livecd-relaunch
    DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/
    PERMISSIONS OWNER_READ OWNER_EXECUTE
                GROUP_READ GROUP_EXECUTE
                WORLD_READ WORLD_EXECUTE
)

install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/systemd/
    DESTINATION /lib/systemd/system
    FILES_MATCHING PATTERN "*"
)
install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/live-config/
    DESTINATION /lib/live/config
    FILES_MATCHING PATTERN "*"
    PERMISSIONS OWNER_READ OWNER_EXECUTE
                GROUP_READ GROUP_EXECUTE
                WORLD_READ WORLD_EXECUTE
)

=== i18n/CMakeLists.txt ===
# 生成翻译
## 设置QT语言cmake模块
find_package(Qt5 COMPONENTS Widgets LinguistTools REQUIRED)

## 通过源代码生成ts文件
set(CREATE_TS_DIR
    ${CMAKE_SOURCE_DIR}/src/partman
    ${CMAKE_SOURCE_DIR}/src/base
    ${CMAKE_SOURCE_DIR}/src/ui
    ${CMAKE_SOURCE_DIR}/src/service
)
find_program(LUPDATE_EXECUTABLE lupdate)
execute_process(
    COMMAND ${LUPDATE_EXECUTABLE} -source-language en
    -recursive ${CREATE_TS_DIR}
    -ts ${CMAKE_SOURCE_DIR}/i18n/deepin-installer.ts)

## 获取ts源文件
file(GLOB INSTALLER_TRANSLATION_TS
    ${CMAKE_SOURCE_DIR}/i18n/deepin-installer*.ts)

## 将ts源文件显示在qtcreate中
add_custom_target(ts SOURCES ${INSTALLER_TRANSLATION_TS})

=== resources/CMakeLists.txt ===
# Install resources/ folder, excluding desktop file and icons.

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/default_wallpaper.jpg
    ${CMAKE_CURRENT_SOURCE_DIR}/languages.json
    ${CMAKE_CURRENT_SOURCE_DIR}/oem_settings.json
    ${CMAKE_CURRENT_SOURCE_DIR}/reserved_usernames
    ${CMAKE_CURRENT_SOURCE_DIR}/timezone_alias
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_default.json
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_choice.json
    ${CMAKE_CURRENT_SOURCE_DIR}/packages_sort.json
    ${CMAKE_CURRENT_SOURCE_DIR}/language_sort.json
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources
)

# Install PolicyKit file.
install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.pkexec.installer.policy
    ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.pkexec.installer-first-boot.policy
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/polkit-1/actions/
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-oem.desktop
    ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer.desktop
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
)

install(
    FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-oem.svg
    ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer.svg
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
)


# Install default_settings.ini based on current architecture.
set(INSTALLER_BUILD_ARCH "")
execute_process(COMMAND uname -m
                OUTPUT_VARIABLE INSTALLER_BUILD_ARCH)
message("build arch: ${INSTALLER_BUILD_ARCH}")

if (${INSTALLER_BUILD_ARCH} MATCHES "i386|i686|amd64|x86|x86_64")
  file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_x86/*)
  install(FILES ${OVERRIDE}
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "sw")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_sw/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "mips")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_loongson/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif(${INSTALLER_BUILD_ARCH} MATCHES "loongarch64")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_loongarch64/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
elseif (${INSTALLER_BUILD_ARCH} MATCHES "aarch64")
    file(GLOB OVERRIDE ${CMAKE_CURRENT_SOURCE_DIR}/platform_arm/*)
    install(FILES ${OVERRIDE}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/override)
else()
  message(FATAL_ERROR "Not supported architecture: ${INSTALLER_BUILD_ARCH}")
endif ()

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/default_settings.ini
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources)

file(GLOB FULL_DISK_POLICY ${CMAKE_CURRENT_SOURCE_DIR}/full_disk_policy*.json)
install(FILES ${FULL_DISK_POLICY}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources)

## 安装用户协议
file(GLOB LICENSE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/licenses/*)
install(FILES ${LICENSE_FILES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/licenses)

add_subdirectory(slide)

=== src/CMakeLists.txt ===

#set(CMAKE_C_COMPILER  /usr/bin/clang)
#set(CMAKE_CXX_COMPILER  /usr/bin/clang++)

set(CMAKE_CXX_STANDARD_REQUIRED 17)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

# Only generate Debug and Release configuration types.
set(CMAKE_CONFIGURATION_TYPES Debug Release)
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if (CMAKE_BUILD_TYPE MATCHES Debug)
#   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Werror -Wextra")
  # -fno-rtti, Disable real-time type information
  # -fno-exceptions Disable exceptions
  # -fsanitize=address Enable memory sanitize plugin
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wextra -fno-exceptions")
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-implicit-fallthrough")
  # -fsanitize=address, Enable memory address sanitizer.
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
  # -fsanitize=leak, Enable memory leak sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
  # -fsanitize=memory, Enable detecting uninitited memory sanitizer.
  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory "
  #    "-fsanitize-memory-track-origins -fPIC -pie -fno-omit-frame-pointer")

#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wimplicit-fallthrough=1")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -fPIE")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wno-unused-result \
    -Wno-switch-default -Wno-padded -Wno-unused-function -Wno-reorder -Werror -fPIE -pie")

# Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  #-Wl, --gc-sections Remove unused code resulting from -fdsta-sections and -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections -fPIE -pie")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections -Wno-unused-result \
      -Wno-switch-default -Wno-padded -Wno-unused-function -Wno-reorder -fPIE -pie")
endif()

# Install default_settings.ini based on current architecture.
set(INSTALLER_BUILD_ARCH "")
execute_process(COMMAND uname -m
                OUTPUT_VARIABLE INSTALLER_BUILD_ARCH)
string(REGEX REPLACE "\n$" "" INSTALLER_BUILD_ARCH "${INSTALLER_BUILD_ARCH}")
message("build arch: ${INSTALLER_BUILD_ARCH}")

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(IS_PROFESSIONAL FALSE)
if (EXISTS "/etc/deepin-version")
  file(STRINGS "/etc/deepin-version" IS_PROFESSIONAL REGEX "Type *= *Professional")
  if(IS_PROFESSIONAL)
      add_definitions("-DPROFESSIONAL")
  endif()
endif()

set(INSTALLER_SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/deepin-installer)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

add_definitions("-DPLATFORM_BUILD_ARCH=\"${INSTALLER_BUILD_ARCH}\"")
add_definitions("-DSOURCE_DIR=\"${CMAKE_SOURCE_DIR}\"")

# Defines path to resource directories
if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions("-DBUILTIN_HOOKS_DIR=\"${CMAKE_SOURCE_DIR}/hooks\"")
  add_definitions("-DBUILTIN_CHECK_HOOKS_DIR=\"${CMAKE_SOURCE_DIR}/check_hooks\"")
  add_definitions("-DI18N_DIR=\"${CMAKE_BINARY_DIR}/i18n\"")
  add_definitions("-DRESOURCES_DIR=\"${CMAKE_SOURCE_DIR}/resources\"")
  add_definitions("-DTOOLS_DIR=\"${CMAKE_SOURCE_DIR}/tools\"")
  add_definitions("-DDATAS_DIR=\"${CMAKE_SOURCE_DIR}/data\"")
  add_definitions("-DXRANDR_DIR=\"${CMAKE_SOURCE_DIR}/src/app\"")
else()
  add_definitions("-DN_DEBUG")
  add_definitions("-DBUILTIN_HOOKS_DIR=\"${INSTALLER_SHARE_DIR}/hooks\"")
  add_definitions("-DBUILTIN_CHECK_HOOKS_DIR=\"${INSTALLER_SHARE_DIR}/check_hooks\"")
  add_definitions("-DI18N_DIR=\"${INSTALLER_SHARE_DIR}/i18n\"")
  add_definitions("-DRESOURCES_DIR=\"${INSTALLER_SHARE_DIR}/resources\"")
  add_definitions("-DTOOLS_DIR=\"${INSTALLER_SHARE_DIR}/tools\"")
  add_definitions("-DDATAS_DIR=\"/usr/bin/\"")
  add_definitions("-DXRANDR_DIR=\"/usr/bin\"")
endif()

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5Xml REQUIRED)
find_package(Qt5LinguistTools)
find_package(Qt5Svg REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(QTermWidget5 REQUIRED)
find_package(DtkCMake REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(KF5NetworkManagerQt REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

pkg_search_module(Parted REQUIRED libparted)
pkg_search_module(X11 REQUIRED x11)
pkg_search_module(X11EXT REQUIRED xext)
pkg_search_module(X11TST REQUIRED xtst)
pkg_search_module(X11RandR REQUIRED xrandr)
pkg_search_module(UDisk2 REQUIRED udisks2-qt5)
#pkg_search_module(ncursesw REQUIRED ncurses++w)
#pkg_search_module(pwquality REQUIRED pwquality)

include_directories(AFTER ${Parted_INCLUDE_DIRS})
include_directories(AFTER ${X11_INCLUDE_DIRS})
include_directories(AFTER ${X11EXT_INCLUDE_DIRS})
include_directories(AFTER ${X11TST_INCLUDE_DIRS})
include_directories(AFTER ${X11RandR_INCLUDE_DIRS})
include_directories(AFTER ${UDisk2_INCLUDE_DIRS})

add_subdirectory(third_party/global_shortcut)
add_subdirectory(third_party/qrencode)
add_subdirectory(third_party/timezones)
add_subdirectory(third_party/zlib_wrapper)

configure_file(base/consts.h base/consts.h @ONLY)

# KF5 network manager
get_target_property(KF5_QT_INCLUDE_DIRS KF5::NetworkManagerQt INTERFACE_INCLUDE_DIRECTORIES)

set(TRY_KF5_LIBRARIES
IMPORTED_LOCATION_DEBIAN
IMPORTED_LOCATION_NOCONFIG
)

foreach(LETTER ${TRY_KF5_LIBRARIES})
    if (NOT KF5_QT_LIBRARIES)
        get_target_property(KF5_QT_LIBRARIES KF5::NetworkManagerQt ${LETTER})
    endif()
endforeach()

if (NOT KF5_QT_LIBRARIES)
    find_library(KF5_QT_LIBRARIES libKF5NetworkManagerQt.so)
endif()
# end KF5 network manager

set(BASE_FILES
    base/command.cpp
    base/command.h
    base/consts.h
    base/file_util.cpp
    base/file_util.h
    base/string_util.cpp
    base/string_util.h
    base/thread_util.cpp
    base/thread_util.h
    base/translator.h
    base/auto_screen_scale.h
    base/utils.h
    )

set(OEM_FILES

    oem/models/oem_settings_item.cpp
    oem/models/oem_settings_item.h
    oem/models/oem_settings_model.cpp
    oem/models/oem_settings_model.h
    oem/views/oem_settings_item_view.cpp
    oem/views/oem_settings_item_view.h

    oem/styles/styles.qrc
    )

set(PARTMAN_FILES
    partman/device.cpp
    partman/device.h
    partman/vg_device.cpp
    partman/vg_device.h
    partman/fs.cpp
    partman/fs.h
    partman/libparted_util.cpp
    partman/libparted_util.h
    partman/operation.cpp
    partman/operation.h
    partman/lvm_operation.cpp
    partman/lvm_operation.h
    partman/os_prober.cpp
    partman/os_prober.h
    partman/partition.cpp
    partman/partition.h
    partman/lv_partition.cpp
    partman/lv_partition.h
    partman/partition_format.cpp
    partman/partition_format.h
    partman/partition_manager.cpp
    partman/partition_manager.h
    partman/partition_usage.cpp
    partman/partition_usage.h
    partman/structs.cpp
    partman/structs.h
    partman/utils.cpp
    partman/utils.h
    )

set(SERVICE_FILES
    service/backend/chroot.cpp
    service/backend/chroot.h
    service/backend/geoip_request_worker.cpp
    service/backend/geoip_request_worker.h
    service/backend/hooks_pack.cpp
    service/backend/hooks_pack.h
    service/backend/hook_worker.cpp
    service/backend/hook_worker.h
    service/backend/wifi_inspect_worker.cpp
    service/backend/wifi_inspect_worker.h

    service/first_boot_hook_worker.cpp
    service/first_boot_hook_worker.h
    service/hooks_manager.cpp
    service/hooks_manager.h
    service/log_manager.cpp
    service/log_manager.h
    service/power_manager.cpp
    service/power_manager.h
    service/process_util.cpp
    service/process_util.h
    service/screen_brightness.cpp
    service/screen_brightness.h
    service/settings_manager.cpp
    service/settings_manager.h
    service/system_language.cpp
    service/system_language.h
    service/settings_name.h
    service/timezone_manager.cpp
    service/timezone_manager.h
    service/language_manager.h
    service/language_manager.cpp
    service/screen_adaptation_manager.h
    service/screen_adaptation_manager.cpp
    )

set(SYSINFO_FILES
    sysinfo/dev_disk.cpp
    sysinfo/dev_disk.h
    sysinfo/iso3166.cpp
    sysinfo/iso3166.h
    sysinfo/keyboard.cpp
    sysinfo/keyboard.h
    sysinfo/machine.cpp
    sysinfo/machine.h
    sysinfo/proc_meminfo.cpp
    sysinfo/proc_meminfo.h
    sysinfo/proc_mounts.cpp
    sysinfo/proc_mounts.h
    sysinfo/proc_partitions.cpp
    sysinfo/proc_partitions.h
    sysinfo/proc_swaps.cpp
    sysinfo/proc_swaps.h
    sysinfo/release_version.cpp
    sysinfo/release_version.h
    sysinfo/timezone.cpp
    sysinfo/timezone.h
    sysinfo/users.cpp
    sysinfo/users.h
    sysinfo/validate_hostname.cpp
    sysinfo/validate_hostname.h
    sysinfo/validate_password.cpp
    sysinfo/validate_password.h
    sysinfo/validate_username.cpp
    sysinfo/validate_username.h
    sysinfo/virtual_machine.cpp
    sysinfo/virtual_machine.h)

set(UI_FILES

    ui/delegates/advanced_partition_animations.cpp
    ui/delegates/advanced_partition_animations.h
    ui/delegates/advanced_partition_delegate.cpp
    ui/delegates/advanced_partition_delegate.h
    ui/delegates/lvm_partition_delegate.cpp
    ui/delegates/lvm_partition_delegate.h
    ui/delegates/partition_delegate.h
    ui/delegates/partition_delegate.cpp
    ui/delegates/network_operate.h
    ui/delegates/network_operate.cpp
    ui/delegates/advanced_validate_state.h
    ui/delegates/advanced_validate_state.cpp
    ui/delegates/avatar_list_delegate.cpp
    ui/delegates/avatar_list_delegate.h
    ui/delegates/frameless_list_delegate.cpp
    ui/delegates/frameless_list_delegate.h
    ui/delegates/full_disk_delegate.cpp
    ui/delegates/full_disk_delegate.h
    ui/delegates/installer_args_parser.cpp
    ui/delegates/installer_args_parser.h
    ui/delegates/install_slide_frame_util.cpp
    ui/delegates/install_slide_frame_util.h
    ui/delegates/language_delegate.cpp
    ui/delegates/language_delegate.h
    ui/delegates/main_window_util.cpp
    ui/delegates/main_window_util.h
    ui/delegates/partition_util.cpp
    ui/delegates/partition_util.h
    ui/delegates/style_delegate.h
    ui/delegates/style_delegate.cpp
    ui/delegates/license_delegate.cpp
    ui/delegates/license_delegate.h

    ui/delegates/popup_menu_delegate.cpp
    ui/delegates/popup_menu_delegate.h
    ui/delegates/simple_partition_delegate.cpp
    ui/delegates/simple_partition_delegate.h
    ui/delegates/timezone_map_util.cpp
    ui/delegates/timezone_map_util.h
    ui/delegates/componentinstallmanager.h
    ui/delegates/componentinstallmanager.cpp
    ui/delegates/user_agreement_delegate.h
    ui/delegates/user_agreement_delegate.cpp
    ui/delegates/disk_installation_delegate.h
    ui/delegates/disk_installation_delegate.cpp
    ui/delegates/disk_installation_detail_delegate.h
    ui/delegates/disk_installation_detail_delegate.cpp
    ui/interfaces/frameproxyinterface.h
    ui/interfaces/frameinterface.h
    ui/interfaces/frameinterfaceprivate.h
    ui/frames/consts.h
    ui/frames/inner/advanced_partition_frame.cpp
    ui/frames/inner/advanced_partition_frame.h
    ui/frames/inner/lvm_partition_frame.cpp
    ui/frames/inner/lvm_partition_frame.h
    ui/frames/inner/edit_partition_frame.cpp
    ui/frames/inner/edit_partition_frame.h
    ui/frames/inner/full_disk_frame.cpp
    ui/frames/inner/full_disk_frame.h

    ui/frames/inner/full_disk_encrypt_frame.h
    ui/frames/inner/full_disk_encrypt_frame.cpp
    ui/frames/inner/install_progress_slide_frame.cpp
    ui/frames/inner/install_progress_slide_frame.h
    ui/frames/inner/new_partition_frame.cpp
    ui/frames/inner/new_partition_frame.h
    ui/frames/inner/new_table_loading_frame.cpp
    ui/frames/inner/new_table_loading_frame.h
    ui/frames/inner/new_table_warning_frame.cpp

=== tools/CMakeLists.txt ===
install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer
    FILES_MATCHING PATTERN "*"
    PATTERN "CMakeLists.txt" EXCLUDE
    PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== tests/googletest/CMakeLists.txt ===
########################################################################
# CMake build script for Google Test.
#
# To run the tests for Google Test itself on Linux, use 'make test' or
# ctest.  You can select which tests to run using 'ctest -R regex'.
# For more options, run 'ctest --help'.

cmake_minimum_required(VERSION 2.6.2)

project(googletest)

# BUILD_SHARED_LIBS is a standard CMake variable, but we declare it here to
# make it prominent in the GUI.
option(BUILD_SHARED_LIBS "Build shared libraries (DLLs)." OFF)

# When other libraries are using a shared version of runtime libraries,
# Google Test also has to use one.
option(
  gtest_force_shared_crt
  "Use shared (DLL) run-time lib even when Google Test is built as static lib."
  OFF)

option(gtest_build_tests "Build all of gtest's own tests." OFF)

option(gtest_build_samples "Build gtest's sample programs." OFF)

option(gtest_disable_pthreads "Disable uses of pthreads in gtest." OFF)

option(
  gtest_hide_internal_symbols
  "Build gtest with internal symbols hidden in shared libraries."
  OFF)

# Defines pre_project_set_up_hermetic_build() and set_up_hermetic_build().
include(cmake/hermetic_build.cmake OPTIONAL)

if (COMMAND pre_project_set_up_hermetic_build)
  pre_project_set_up_hermetic_build()
endif()

########################################################################
#
# Project-wide settings

# Name of the project.
#
# CMake files in this project can refer to the root source directory
# as ${gtest_SOURCE_DIR} and to the root binary directory as
# ${gtest_BINARY_DIR}.
# Language "C" is required for find_package(Threads).
project(gtest CXX C)
cmake_minimum_required(VERSION 2.6.2)

if (COMMAND set_up_hermetic_build)
  set_up_hermetic_build()
endif()

if (gtest_hide_internal_symbols)
  set(CMAKE_CXX_VISIBILITY_PRESET hidden)
  set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
endif()

# Define helper functions and macros used by Google Test.
include(cmake/internal_utils.cmake)

config_compiler_and_linker()  # Defined in internal_utils.cmake.

# Where Google Test's .h files can be found.
include_directories(
  ${gtest_SOURCE_DIR}/include
  ${gtest_SOURCE_DIR})

# Where Google Test's libraries can be found.
link_directories(${gtest_BINARY_DIR}/src)

# Summary of tuple support for Microsoft Visual Studio:
# Compiler    version(MS)  version(cmake)  Support
# ----------  -----------  --------------  -----------------------------
# <= VS 2010  <= 10        <= 1600         Use Google Tests's own tuple.
# VS 2012     11           1700            std::tr1::tuple + _VARIADIC_MAX=10
# VS 2013     12           1800            std::tr1::tuple
if (MSVC AND MSVC_VERSION EQUAL 1700)
  add_definitions(/D _VARIADIC_MAX=10)
endif()

########################################################################
#
# Defines the gtest & gtest_main libraries.  User tests should link
# with one of them.

# Google Test libraries.  We build them using more strict warnings than what
# are used for other targets, to ensure that gtest can be compiled by a user
# aggressive about warnings.
cxx_library(gtest "${cxx_strict}" src/gtest-all.cc)
cxx_library(gtest_main "${cxx_strict}" src/gtest_main.cc)
target_link_libraries(gtest_main gtest)

# If the CMake version supports it, attach header directory information
# to the targets for when we are part of a parent build (ie being pulled
# in via add_subdirectory() rather than being a standalone build).
if (DEFINED CMAKE_VERSION AND NOT "${CMAKE_VERSION}" VERSION_LESS "2.8.11")
  target_include_directories(gtest      INTERFACE "${gtest_SOURCE_DIR}/include")
  target_include_directories(gtest_main INTERFACE "${gtest_SOURCE_DIR}/include")
endif()

########################################################################
#
# Install rules
#install(TARGETS gtest gtest_main
#  DESTINATION lib)
#install(DIRECTORY ${gtest_SOURCE_DIR}/include/gtest
#  DESTINATION include)

########################################################################
#
# Samples on how to link user tests with gtest or gtest_main.
#
# They are not built by default.  To build them, set the
# gtest_build_samples option to ON.  You can do it by running ccmake
# or specifying the -Dgtest_build_samples=ON flag when running cmake.

if (gtest_build_samples)
  cxx_executable(sample1_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample2_unittest samples gtest_main samples/sample2.cc)
  cxx_executable(sample3_unittest samples gtest_main)
  cxx_executable(sample4_unittest samples gtest_main samples/sample4.cc)
  cxx_executable(sample5_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample6_unittest samples gtest_main)
  cxx_executable(sample7_unittest samples gtest_main)
  cxx_executable(sample8_unittest samples gtest_main)
  cxx_executable(sample9_unittest samples gtest)
  cxx_executable(sample10_unittest samples gtest)
endif()

########################################################################
#
# Google Test's own tests.
#
# You can skip this section if you aren't interested in testing
# Google Test itself.
#
# The tests are not built by default.  To build them, set the
# gtest_build_tests option to ON.  You can do it by running ccmake
# or specifying the -Dgtest_build_tests=ON flag when running cmake.

if (gtest_build_tests)
  # This must be set in the root directory for the tests to be run by
  # 'make test' or ctest.
  enable_testing()

  ############################################################
  # C++ tests built with standard compiler flags.

  cxx_test(gtest-death-test_test gtest_main)
  cxx_test(gtest_environment_test gtest)
  cxx_test(gtest-filepath_test gtest_main)
  cxx_test(gtest-linked_ptr_test gtest_main)
  cxx_test(gtest-listener_test gtest_main)
  cxx_test(gtest_main_unittest gtest_main)
  cxx_test(gtest-message_test gtest_main)
  cxx_test(gtest_no_test_unittest gtest)
  cxx_test(gtest-options_test gtest_main)
  cxx_test(gtest-param-test_test gtest
    test/gtest-param-test2_test.cc)
  cxx_test(gtest-port_test gtest_main)
  cxx_test(gtest_pred_impl_unittest gtest_main)
  cxx_test(gtest_premature_exit_test gtest
    test/gtest_premature_exit_test.cc)
  cxx_test(gtest-printers_test gtest_main)
  cxx_test(gtest_prod_test gtest_main
    test/production.cc)
  cxx_test(gtest_repeat_test gtest)
  cxx_test(gtest_sole_header_test gtest_main)
  cxx_test(gtest_stress_test gtest)
  cxx_test(gtest-test-part_test gtest_main)
  cxx_test(gtest_throw_on_failure_ex_test gtest)
  cxx_test(gtest-typed-test_test gtest_main
    test/gtest-typed-test2_test.cc)
  cxx_test(gtest_unittest gtest_main)
  cxx_test(gtest-unittest-api_test gtest)

  ############################################################
  # C++ tests built with non-standard compiler flags.

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_library(gtest_no_exception "${cxx_no_exception}"
      src/gtest-all.cc)
    cxx_library(gtest_main_no_exception "${cxx_no_exception}"
      src/gtest-all.cc src/gtest_main.cc)
  endif()
  cxx_library(gtest_main_no_rtti "${cxx_no_rtti}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_test_with_flags(gtest-death-test_ex_nocatch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=0"
    gtest test/gtest-death-test_ex_test.cc)
  cxx_test_with_flags(gtest-death-test_ex_catch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=1"
    gtest test/gtest-death-test_ex_test.cc)

  cxx_test_with_flags(gtest_no_rtti_unittest "${cxx_no_rtti}"
    gtest_main_no_rtti test/gtest_unittest.cc)

  cxx_shared_library(gtest_dll "${cxx_default}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_executable_with_flags(gtest_dll_test_ "${cxx_default}"
    gtest_dll test/gtest_all_test.cc)
  set_target_properties(gtest_dll_test_
                        PROPERTIES
                        COMPILE_DEFINITIONS "GTEST_LINKED_AS_SHARED_LIBRARY=1")

  if (NOT MSVC OR MSVC_VERSION LESS 1600)  # 1600 is Visual Studio 2010.
    # Visual Studio 2010, 2012, and 2013 define symbols in std::tr1 that
    # conflict with our own definitions. Therefore using our own tuple does not
    # work on those compilers.
    cxx_library(gtest_main_use_own_tuple "${cxx_use_own_tuple}"
      src/gtest-all.cc src/gtest_main.cc)

    cxx_test_with_flags(gtest-tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple test/gtest-tuple_test.cc)

    cxx_test_with_flags(gtest_use_own_tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple
      test/gtest-param-test_test.cc test/gtest-param-test2_test.cc)
  endif()

  ############################################################
  # Python tests.

  cxx_executable(gtest_break_on_failure_unittest_ test gtest)
  py_test(gtest_break_on_failure_unittest)

  # Visual Studio .NET 2003 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)  # 1310 is Visual Studio .NET 2003
    cxx_executable_with_flags(
      gtest_catch_exceptions_no_ex_test_
      "${cxx_no_exception}"
      gtest_main_no_exception
      test/gtest_catch_exceptions_test_.cc)
  endif()

  cxx_executable_with_flags(
    gtest_catch_exceptions_ex_test_
    "${cxx_exception}"
    gtest_main
    test/gtest_catch_exceptions_test_.cc)
  py_test(gtest_catch_exceptions_test)

  cxx_executable(gtest_color_test_ test gtest)
  py_test(gtest_color_test)

  cxx_executable(gtest_env_var_test_ test gtest)
  py_test(gtest_env_var_test)

  cxx_executable(gtest_filter_unittest_ test gtest)
  py_test(gtest_filter_unittest)

  cxx_executable(gtest_help_test_ test gtest_main)
  py_test(gtest_help_test)

  cxx_executable(gtest_list_tests_unittest_ test gtest)
  py_test(gtest_list_tests_unittest)

  cxx_executable(gtest_output_test_ test gtest)
  py_test(gtest_output_test)

  cxx_executable(gtest_shuffle_test_ test gtest)
  py_test(gtest_shuffle_test)

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_executable(gtest_throw_on_failure_test_ test gtest_no_exception)
    set_target_properties(gtest_throw_on_failure_test_
      PROPERTIES
      COMPILE_FLAGS "${cxx_no_exception}")
    py_test(gtest_throw_on_failure_test)
  endif()

  cxx_executable(gtest_uninitialized_test_ test gtest)
  py_test(gtest_uninitialized_test)

  cxx_executable(gtest_xml_outfile1_test_ test gtest_main)
  cxx_executable(gtest_xml_outfile2_test_ test gtest_main)
  py_test(gtest_xml_outfiles_test)

  cxx_executable(gtest_xml_output_unittest_ test gtest)
  py_test(gtest_xml_output_unittest)
endif()

=== src/third_party/global_shortcut/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0.0)

PROJECT(GlobalShortcut)

find_package(Qt5Core REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_search_module(X11 REQUIRED x11)
pkg_search_module(X11EXT REQUIRED xext)

include_directories(AFTER ${X11_INCLUDE_DIRS})
include_directories(AFTER ${X11EXT_INCLUDE_DIRS})

SET(LIB_FILES
    global_shortcut.cpp global_shortcut.h
    keyboard_event_filter.cpp keyboard_event_filter.h
    )

set(LINK_LIBS
    Qt5::X11Extras
    ${X11_LIBRARIES}
    ${X11EXT_LIBRARIES}
    )

ADD_LIBRARY(global_shortcut ${LIB_FILES})
target_link_libraries(global_shortcut ${LINK_LIBS})

=== src/third_party/timezones/CMakeLists.txt ===

find_package(Gettext REQUIRED)

# Only enable supported locales.
SUBDIRS(
    bg cs da de el en_US es fi fr hi hr hu id it ja ko ms
    nl ro ru sk sv tr uk zh_CN zh_TW zh_HK
)

=== src/third_party/timezones/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=$(PREFIX)/share/locale

MSGMERGE = msgmerge

NLSPACKAGE = system-config-date-timezones

CATALOGS = $(patsubst %.po,%.mo,$(wildcard *.po))

all: $(NLSPACKAGE).pot update-po

$(NLSPACKAGE).h::
	(cd /usr/share/zoneinfo; find . -type f -or -type l) | grep '^./[A-Z]' | egrep -v "(/right/)|(/posix/)|(/zone\.tab$$)" | sort -u | cut -d '/' -f 2- | \
	while read tz; do \
		echo "N_(\"$$tz\");"; \
		comment="`awk '-F\t' '{if ($$3 ~ "^'"$$tz"'$$") { print $$4 }}' < /usr/share/zoneinfo/zone.tab`"; \
		if test -n "$$comment" ; then \
			echo "/* comment for time zone $$tz */"; \
			echo "N_(\"$$comment\");"; \
		fi; \
	done > $@

update-pot: $(NLSPACKAGE).pot
$(NLSPACKAGE).pot: Makefile $(NLSPACKAGE).h
	xgettext --default-domain=$(NLSPACKAGE) \
		--add-comments --keyword=_ --keyword=N_ $(NLSPACKAGE).h
	if msgcmp -N --use-untranslated $(NLSPACKAGE).pot $(NLSPACKAGE).po >&/dev/null && \
		msgcmp -N --use-untranslated $(NLSPACKAGE).po $(NLSPACKAGE).pot >&/dev/null; then \
		rm -f $(NLSPACKAGE).po; \
	else \
		mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi

update-po: Makefile update-pot
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

refresh-po: Makefile
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGMERGE) $$lang.po $(NLSPACKAGE).pot > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
#	rm -f *mo $(NLSPACKAGE).pot *~
	rm -f *mo *~

distclean: clean
	rm -f .depend Makefile

depend:

install: refresh-po $(CATALOGS)
	mkdir -p $(DESTDIR)/usr/share/locale
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(DESTDIR)/usr/share/locale/$$l; \
	    $(INSTALL) -m 755 -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	    if [ -f $$n ]; then \
	        $(INSTALL) -m 644 $$n $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	    fi; \
	done

%.mo: %.po
	msgfmt -o $@ $<

MSGCONV=msgconv -t utf-8

force-utf8:
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		if $(MSGCONV) $$lang.po > $$lang.po.utf8 ; then \
			mv -f $$lang.po.utf8 $$lang.po ; \
			echo "$(MSGCONV) of $$lang succeeded" ; \
		else \
			echo "$(MSGCONV) of $$lang failed" ; \
			rm -f $$lang.po.utf8 ; \
		fi \
	done

report:
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		echo -n "$$lang.po: " ; \
		msgfmt --statistics -o /dev/null $$lang.po ; \
	done

=== src/third_party/timezones/am/CMakeLists.txt ===

gettext_process_po_files(am ALL INSTALL_DESTINATION share/locale
    PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/ar/CMakeLists.txt ===

gettext_process_po_files(ar ALL INSTALL_DESTINATION share/locale
    PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/as/CMakeLists.txt ===

gettext_process_po_files(as ALL INSTALL_DESTINATION share/locale
    PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-reborn (5.6.17-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 22 Apr 2021 15:15:32 +0800

deepin-installer-reborn (5.6.0+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * loogson two kernel install task,taskid: 34391

 -- Zhang Dongdong <zhangdongdong@uniontech.com>  Sat, 23 Jan 2021 12:12:13 +0800

deepin-installer-reborn (0.0.1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 08 Jul 2016 11:15:54 +0800

## deepin-installer-reborn 5.7.20

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(deepin-installer C CXX)

## 这两行必须放置在根的CMakeLists文件中，否则ctest无法正确找到文件
# 启用CTest检查
include(Dart)
# 启用CTest
#include(CTest)

# Import folders
add_subdirectory(i18n)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(hooks)
add_subdirectory(check_hooks)
add_subdirectory(resources)
add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,33 +13,19 @@
 endif()
 
 if (CMAKE_BUILD_TYPE MATCHES Debug)
-#   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Werror -Wextra")
-  # -fno-rtti, Disable real-time type information
-  # -fno-exceptions Disable exceptions
-  # -fsanitize=address Enable memory sanitize plugin
-  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Werror -Wextra -fno-exceptions")
-  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-implicit-fallthrough")
-  # -fsanitize=address, Enable memory address sanitizer.
-  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
-  # -fsanitize=leak, Enable memory leak sanitizer.
-  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
-  # -fsanitize=memory, Enable detecting uninitited memory sanitizer.
-  #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory "
-  #    "-fsanitize-memory-track-origins -fPIC -pie -fno-omit-frame-pointer")
-
-#  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wimplicit-fallthrough=1")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -fPIE")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wno-unused-result \
-    -Wno-switch-default -Wno-padded -Wno-unused-function -Wno-reorder -Werror -fPIE -pie")
+    # 默认优化编译参数
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 ")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wno-unused-result -Wno-switch-default -Wno-padded")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-function -Wno-reorder -Werror")
+    # 安全编译参数
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
 
 # Enable Qt builtin debug mode
   add_definitions("-DQT_MESSAGELOGCONTEXT")
 else()
-  # -Wl, -O2 Enable linker optimizations
-  #-Wl, --gc-sections Remove unused code resulting from -fdsta-sections and -ffunction-sections
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections -fPIE -pie")
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections -Wno-unused-result \
-      -Wno-switch-default -Wno-padded -Wno-unused-function -Wno-reorder -fPIE -pie")
+    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -pie -fPIC -z relro -z now -fstack-protector-all")
 endif()
 
 # Install default_settings.ini based on current architecture.
@@ -243,6 +229,8 @@
     service/language_manager.cpp
     service/screen_adaptation_manager.h
     service/screen_adaptation_manager.cpp
+    service/multiscreenmanager.h
+    service/multiscreenmanager.cpp
     )
 
 set(SYSINFO_FILES
@@ -348,3 +336,19 @@
     ui/frames/inner/new_table_loading_frame.cpp
     ui/frames/inner/new_table_loading_frame.h
     ui/frames/inner/new_table_warning_frame.cpp
+    ui/frames/inner/new_table_warning_frame.h
+    ui/frames/inner/partition_loading_frame.cpp
+    ui/frames/inner/partition_loading_frame.h
+    ui/frames/inner/partition_number_limitation_frame.cpp
+    ui/frames/inner/partition_number_limitation_frame.h
+    ui/frames/inner/partition_table_warning_frame.cpp
+    ui/frames/inner/partition_table_warning_frame.h
+
+    ui/frames/inner/prepare_install_frame.cpp
+    ui/frames/inner/prepare_install_frame.h
+    ui/frames/inner/select_bootloader_frame.cpp
+    ui/frames/inner/select_bootloader_frame.h
+    ui/frames/inner/select_language_frame.cpp
+    ui/frames/inner/select_language_frame.h
+    ui/frames/inner/simple_partition_frame.cpp
+    ui/frames/inner/simple_partition_frame.h

=== src/third_party/zlib_wrapper/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.0)

project(zlib_wrapper)

set(CMAKE_AUTOMOC ON)
find_package(Qt5Core REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_search_module(ZLib REQUIRED zlib)
include_directories(AFTER ${ZLib_INCLUDE_DIRS})

set(SOURCES
    zip_util.cpp
    zip_util.h
    )
set(LINK_LIBS
    Qt5::Core
    ${ZLib_LIBRARIES}
    )

add_library(zlib_wrapper STATIC ${SOURCES})
target_link_libraries(zlib_wrapper ${LINK_LIBS})

# TODO(xushaohua): Add unittest

=== src/third_party/timezones/ar/CMakeLists.txt ===
gettext_process_po_files(ar ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/as/CMakeLists.txt ===
gettext_process_po_files(as ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/az/CMakeLists.txt ===
gettext_process_po_files(az ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/bo/CMakeLists.txt ===
gettext_process_po_files(bo ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/br/CMakeLists.txt ===
gettext_process_po_files(br ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/el/CMakeLists.txt ===
gettext_process_po_files(el ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/he/CMakeLists.txt ===
gettext_process_po_files(he ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/it/CMakeLists.txt ===
gettext_process_po_files(it ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/nn/CMakeLists.txt ===
gettext_process_po_files(nn ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-reborn (5.7.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Mar 2022 13:38:36 +0800

## deepin-installer-reborn 5.7.20.1

=== check_hooks/CMakeLists.txt ===
message(STATUS "check job syntax")
file(GLOB_RECURSE files "*.job")
foreach(file ${files})
	execute_process(
		COMMAND /bin/bash -n
		INPUT_FILE ${file}
		RESULT_VARIABLE res_var
		)
	if(NOT "${res_var}" STREQUAL "0")
		message(FATAL_ERROR "process script ${file} error")
	endif()
endforeach(file)
message(STATUS "check job syntax - OK")
install(
    DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-installer
    FILES_MATCHING PATTERN "*"
    PATTERN "CMakeLists.txt" EXCLUDE
    PERMISSIONS OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -326,7 +326,8 @@
     ui/frames/inner/edit_partition_frame.h
     ui/frames/inner/full_disk_frame.cpp
     ui/frames/inner/full_disk_frame.h
-
+    ui/frames/inner/resize_root_frame.h
+    ui/frames/inner/resize_root_frame.cpp
     ui/frames/inner/full_disk_encrypt_frame.h
     ui/frames/inner/full_disk_encrypt_frame.cpp
     ui/frames/inner/install_progress_slide_frame.cpp
@@ -350,5 +351,3 @@
     ui/frames/inner/select_bootloader_frame.h
     ui/frames/inner/select_language_frame.cpp
     ui/frames/inner/select_language_frame.h
-    ui/frames/inner/simple_partition_frame.cpp
-    ui/frames/inner/simple_partition_frame.h

=== resources/slide/CMakeLists.txt ===
find_package(PkgConfig REQUIRED)
find_package(DtkCMake REQUIRED)

## 后续可以通过平台来安装slide资源来裁剪安装器的deb大小
install(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
  DESTINATION  ${CMAKE_INSTALL_PREFIX}/share/deepin-installer/resources/slide
  PATTERN "CMakeLists.txt" EXCLUDE
)

=== src/third_party/qrencode/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 3.1.0)

PROJECT(QREncodingLibrary VERSION 4.0.0 LANGUAGES C)

SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")

ADD_DEFINITIONS(-DMAJOR_VERSION=${PROJECT_VERSION_MAJOR})
ADD_DEFINITIONS(-DMINOR_VERSION=${PROJECT_VERSION_MINOR})
ADD_DEFINITIONS(-DMICRO_VERSION=${PROJECT_VERSION_PATCH})
ADD_DEFINITIONS(-DVERSION="${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
ADD_DEFINITIONS(-D__STATIC=)
ADD_DEFINITIONS(-DSTATIC_IN_RELEASE=static)

SET(LIB_FILES qrencode.c
              qrinput.c
              bitstream.c
              qrspec.c
              rsecc.c
              split.c
              mask.c
              mqrspec.c
              mmask.c)
ADD_LIBRARY(qrencode ${LIB_FILES})

=== src/third_party/timezones/am/CMakeLists.txt ===
gettext_process_po_files(am ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/am_ET/CMakeLists.txt ===
gettext_process_po_files(am_ET ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/bn/CMakeLists.txt ===
gettext_process_po_files(bn ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/bn_IN/CMakeLists.txt ===
gettext_process_po_files(bn_IN ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/ca/CMakeLists.txt ===
gettext_process_po_files(ca ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/en_GB/CMakeLists.txt ===
gettext_process_po_files(en_GB ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/es/CMakeLists.txt ===
gettext_process_po_files(es ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/es_419/CMakeLists.txt ===
gettext_process_po_files(es_419 ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-reborn (5.7.20.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 23 May 2022 20:04:08 +0800

=== debian/control ===
Source: deepin-installer-reborn
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
    cmake (>=3.1),
    debhelper (>=9),
    dh-systemd,
    g++ (>=6.3.0),
    tzdata,
    gettext,
    tzdata,
    libattr1-dev,
    libparted-dev,
    libqt5x11extras5-dev,
    libx11-dev,
    libxext-dev,
    libxrandr-dev,
    libxss-dev,
    libxtst-dev,
    pkg-config,
    qtbase5-dev,
    qttools5-dev,
    qttools5-dev-tools,
    zlib1g-dev,
    libqt5svg5-dev,
    libdtkcore-dev,
    libdtkcore5-bin | libdtkcore-bin,
    libudisks2-qt5-dev,
    libqapt-dev,
    libqtermwidget5-0-dev,
    libutf8proc-dev,
    libdtkwidget-dev,
    libdtkgui-dev,
    libkf5networkmanagerqt-dev,
    fbterm,
    kbd,
    libncurses-dev,
    libncursesw5-dev,
    libdeepin-pw-check-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-installer-timezones
Architecture: all
Depends:
    ${shlibs:Depends},
    ${misc:Depends}
Description: Language package for timezone names
 Installer language package for timezone names

Package: deepin-installer
Architecture: any
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
    btrfs-progs,
    deepin-installer-timezones,
    dosfstools,
    imagemagick,
    imageworsener,
    jfsutils,
    mtools,
    ntfs-3g,
    os-prober,
    parted,
    pciutils,
    reiserfsprogs,
    squashfs-tools,
    tshark,
    udev,
    x11-xserver-utils,
    xfsprogs,
    xinit,
    xkb-data,
    deepin-clone,
    cryptsetup,
    lvm2,
    kbd,
    fbterm,
    dde-account-faces,
    dde-qt5integration,
    libdeepin-pw-check,
    deepin-pw-check
Description: Release version of deepin installer
 New version of deepin-installer, rewritten with Qt5.

## deepin-installer-reborn 5.7.23.1

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(utest)

add_subdirectory(googletest)

# demo测试用例
add_executable(demo_test demo_test_cases.cpp)
target_link_libraries(demo_test gtest gtest_main)

# 实际的测试用例
## ...

enable_testing()

=== src/third_party/timezones/ast/CMakeLists.txt ===
gettext_process_po_files(ast ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/bg/CMakeLists.txt ===
gettext_process_po_files(bg ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/en_US/CMakeLists.txt ===
gettext_process_po_files(en_US ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/fa/CMakeLists.txt ===
gettext_process_po_files(fa ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/ko/CMakeLists.txt ===
gettext_process_po_files(ko ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/nb/CMakeLists.txt ===
gettext_process_po_files(nb ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/sr@latin/CMakeLists.txt ===
gettext_process_po_files(sr@latin ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== src/third_party/timezones/uk/CMakeLists.txt ===
gettext_process_po_files(uk ALL INSTALL_DESTINATION share/locale PO_FILES ${CMAKE_CURRENT_SOURCE_DIR}/deepin-installer-timezones.po)

=== debian/changelog ===
deepin-installer-reborn (5.7.23.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 30 May 2022 10:25:31 +0800
